
DESC
: Miklos Szeredi <miklos@szeredi.hu>

Remove unused ia_attr_flags from struct iattr, and related defines.

Signed-off-by: Miklos Szeredi <miklos@szeredi.hu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/hostfs/hostfs.h |    1 -
 include/linux/fs.h |   10 ----------
 2 files changed, 11 deletions(-)

diff -puN fs/hostfs/hostfs.h~remove-ia_attr_flags fs/hostfs/hostfs.h
--- 25/fs/hostfs/hostfs.h~remove-ia_attr_flags	Mon Aug 29 14:23:32 2005
+++ 25-akpm/fs/hostfs/hostfs.h	Mon Aug 29 14:23:32 2005
@@ -49,7 +49,6 @@ struct hostfs_iattr {
 	struct timespec	ia_atime;
 	struct timespec	ia_mtime;
 	struct timespec	ia_ctime;
-	unsigned int	ia_attr_flags;
 };
 
 extern int stat_file(const char *path, unsigned long long *inode_out,
diff -puN include/linux/fs.h~remove-ia_attr_flags include/linux/fs.h
--- 25/include/linux/fs.h~remove-ia_attr_flags	Mon Aug 29 14:23:32 2005
+++ 25-akpm/include/linux/fs.h	Mon Aug 29 14:23:32 2005
@@ -281,19 +281,9 @@ struct iattr {
 	struct timespec	ia_atime;
 	struct timespec	ia_mtime;
 	struct timespec	ia_ctime;
-	unsigned int	ia_attr_flags;
 };
 
 /*
- * This is the inode attributes flag definitions
- */
-#define ATTR_FLAG_SYNCRONOUS	1 	/* Syncronous write */
-#define ATTR_FLAG_NOATIME	2 	/* Don't update atime */
-#define ATTR_FLAG_APPEND	4 	/* Append-only file */
-#define ATTR_FLAG_IMMUTABLE	8 	/* Immutable file */
-#define ATTR_FLAG_NODIRATIME	16 	/* Don't update atime for directory */
-
-/*
  * Includes for diskquotas.
  */
 #include <linux/quota.h>
_
